IpRangeScope (CMDB Model API)
Keywords: com.collation.platform.model.discovery.scope.IpRangeScope interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.scope
Interface IpRangeScope

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, ScopeElement, java.io.Serializable

    public interface IpRangeScope

extends ScopeElement

Naming Rules:
  0="keyGuid,start,end"
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getEnd()`
`java.lang.String` | `getStart()`
`boolean` | `hasEnd()`
`boolean` | `hasStart()`
`void` | `setEnd(java.lang.String ip)`
`void` | `setStart(java.lang.String ip)`

Methods inherited from interface com.collation.platform.model.discovery.scope.ScopeElement
`getExcludes, getKeyGuid, getName, hasExcludes, hasKeyGuid, hasName, setExcludes, setKeyGuid, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStart

    java.lang.String getStart()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStart

    void setStart(java.lang.String ip)

### hasStart

    boolean hasStart()

### getEnd

    java.lang.String getEnd()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnd

    void setEnd(java.lang.String ip)

### hasEnd

    boolean hasEnd()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD